KintsugiKintsugi
API reference / Get oss countries for registration

Get oss countries for registration

GET/v1/registrations/{registration_id}/oss-countries

Get all OSS countries for a specific registration. This endpoint returns a list of EU countries that are covered by the OSS registration.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

Path parameters

registration_idstringRequired

The unique identifier of the registration.

Response

idstringRequired

The unique identifier for the OSS registration country.

country_codeCountryCodeEnumRequired

The EU country code covered by the OSS registration.

Available options:AFAXALDZASADAOAIAQAGARAMAWAUATAZBSBHBDBBBYBEBZBJBMBTBOBQBABWBVBRIOBNBGBFBICVKHCMCAKYCFTDCLCNCXCCCOKMCGCDCKCRHRCUCWCYCZDKDJDMDOECEGSVGQEREESZETFKFOFJFIFRGFPFTFGAGMGEDEGHGIGRGLGDGPGUGTGGGNGWGYHTHMVAHNHKHUISINIDIRIQIEIMILITCIJMJPJEJOKZKEKIKPKRKWKGLALVLBLSLRLYLILTLUMOMGMWMYMVMLMTMHMQMRMUYTMXFMMDMCMNMEMSMAMZMMNANRNPNLNCNZNINENGNUNFMKMPNOOMPKPWPSPAPGPYPEPHPNPLPTPRQARERORURWBLSHKNLCMFPMVCWSSMSTSASNRSSCSLSGSXSKSISBSOZAGSSSESLKSDSRSJSECHSYTWTJTZTHTLTGTKTOTTTNTRTMTCTVUGUAAEGBUSUMUYUZVUVEVNVGVIWFEHYEZMZWXKZZ_EU
effective_datestringRequired

The date from which this country is officially covered by the OSS registration.

end_datestring

The date this country ceased to be covered by the OSS registration (if applicable).

statusOssCountryStatusEnumRequired

The current status of this country's enrollment in the OSS registration.

Available options:ACTIVEREMOVED
200

Successful Response

422

Validation Error

cURL
GET /v1/registrations/{registration_id}/oss-countries
-H "x-api-key: ***"
Example request
https://api.trykintsugi.com/v1/registrations/{registration_id}/oss-countries
Response
[
{
"id": "string",
"country_code": "AF",
"effective_date": "string",
"end_date": "string",
"status": "ACTIVE"
}
]